
From: NeilBrown <neilb@cse.unsw.edu.au>

If ek = exp_find_key() is not an error, then ek->ek_export should be set; no
point in checking if it's NULL.

From: "J. Bruce Fields" <bfields@fieldses.org>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
---

 25-akpm/include/linux/nfsd/export.h |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN include/linux/nfsd/export.h~knfsd-2-of-11-nfsd_exp_remove_null_checkpatch include/linux/nfsd/export.h
--- 25/include/linux/nfsd/export.h~knfsd-2-of-11-nfsd_exp_remove_null_checkpatch	2004-05-28 00:10:31.169009000 -0700
+++ 25-akpm/include/linux/nfsd/export.h	2004-05-28 00:10:31.172008544 -0700
@@ -124,8 +124,7 @@ exp_find(struct auth_domain *clp, int fs
 		int err;
 		exp_get(exp);
 		expkey_put(&ek->h, &svc_expkey_cache);
-		if (exp &&
-		    (err = cache_check(&svc_export_cache, &exp->h, reqp)))
+		if ((err = cache_check(&svc_export_cache, &exp->h, reqp)))
 			exp = ERR_PTR(err);
 		return exp;
 	} else
_
